<?xml version="1.0"?>
<!DOCTYPE article PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN" 
"http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd" [
  <!ENTITY legal SYSTEM "legal.xml">
  <!ENTITY appversion "2.2.0">
  <!ENTITY manrevision "2.4">
  <!ENTITY date "January 2003">
  <!ENTITY app "gedit">
]>
<!-- 
      (Do not remove this comment block.)
  Maintained by the GNOME Documentation Project
  http://developer.GNOME.org/projects/gdp
  Template version: 2.0 beta
  Template last modified Jan 30, 2002
  
-->
<!-- =============Document Header ============================= -->
<article id="index" lang="en">
<!-- please do not change the id; for translations, change lang to -->
<!-- appropriate code -->
  <articleinfo> 
	 <title>&app; Manual V&manrevision;</title>
	 <copyright> 
		<year>2003</year>
		<holder>Sun Microsystems</holder> </copyright>
	 <copyright> 
		<year>2000</year>
		<holder>Eric Baudais</holder> </copyright>

<!-- translators: uncomment this:

  <copyright>
   <year>2002</year>
   <holder>ME-THE-TRANSLATOR (Latin translation)</holder>
  </copyright>

   -->
	 <publisher> 
		<publishername> GNOME Documentation Project </publishername>
	 </publisher>
	 &legal; 
	 <authorgroup> 
		<author> 
		  <firstname>Sun </firstname>
		  <surname>GNOME Documentation Team</surname> 
		  <affiliation> 
			 <orgname>Sun Microsystems</orgname>
		  </affiliation>
		</author>
		<author> 
		  <firstname>Eric</firstname>
		  <surname>Baudais</surname> 
		  <affiliation> 
			 <orgname>GNOME Documentation Project</orgname>
			 <address> <email>baudais@okstate.edu</email> </address>
		  </affiliation>
		</author> 
                <othercredit role="reviewer">
                <firstname>Baris</firstname>
                <surname>Cicek (provided review comments from earlier revisions of the gedit application) </surname>
                </othercredit>

<!-- This is appropriate place for other contributors: translators,
      maintainers,  etc. Commented out by default.
       <othercredit role="translator">
	<firstname>Latin</firstname> 
	<surname>Translator 1</surname> 
	<affiliation> 
	  <orgname>Latin Translation Team</orgname> 
	  <address> <email>translator@gnome.org</email> </address> 
	</affiliation>
	<contrib>Latin translation</contrib>
      </othercredit>
-->
	 </authorgroup>


<!-- According to GNU FDL, revision history is mandatory if you are -->
<!-- modifying/reusing someone else's document.  If not, you can omit it. -->
	 <revhistory>
<!-- Remember to remove the &manrevision; entity from the revision entries other
   than the current revision. -->
   		<revision> 
		  <revnumber>&app; Manual V&manrevision;</revnumber>
		  <date>&date;</date> 
		  <revdescription> 
			 <para role="author">Sun GNOME Documentation Team</para>
			 <para role="publisher">GNOME Documentation Project</para>
		  </revdescription>
		</revision>
		<revision> 
		  <revnumber>gedit Manual V2.3</revnumber>
		  <date>September 2002</date> 
		  <revdescription> 
			 <para role="author">Sun GNOME Documentation Team</para>
			 <para role="publisher">GNOME Documentation Project</para>
		  </revdescription>
		</revision>
		<revision> 
		  <revnumber>gedit Manual V2.2</revnumber>
		  <date>August 2002</date> 
		  <revdescription> 
			 <para role="author">Sun GNOME Documentation Team</para>
			 <para role="publisher">GNOME Documentation Project</para>
		  </revdescription>
		</revision>
		<revision> 
		  <revnumber>gedit Manual V2.1</revnumber>
		  <date>June 2002</date> 
		  <revdescription> 
			 <para role="author">Sun GNOME Documentation Team</para>
			 <para role="publisher">GNOME Documentation Project</para>
		  </revdescription>
		</revision>
		<revision> 
		  <revnumber>gedit Manual V2.0</revnumber>
		  <date>March 2002</date> 
		  <revdescription> 
			 <para role="author">Sun GNOME Documentation Team</para>
			 <para role="publisher">GNOME Documentation Project</para>
		  </revdescription>
		</revision>
		<revision> 
		  <revnumber>gedit V1.0</revnumber>
		  <date>2000</date> 
		  <revdescription> 
			 <para role="author">Eric Baudais <email>baudais@okstate.edu</email>
				</para>
			 <para role="publisher">GNOME Documentation Project</para>
		  </revdescription>
		</revision>
	 </revhistory>
	 <releaseinfo> This manual describes version &appversion; of &app;.
		</releaseinfo>
	 <legalnotice> 
		<title>Feedback</title>
		<para>To report a bug or make a suggestion regarding the &app; application or
		this manual, follow the directions in the 
		<ulink url="ghelp:gnome-feedback" type="help">GNOME Feedback Page</ulink>. 
      </para>
<!-- Translators may also add here feedback address for translations -->
	 </legalnotice>
  </articleinfo>
  <indexterm><primary>gedit</primary></indexterm>
  <indexterm><primary>text editor</primary></indexterm>

<!-- ============= Document Body ============================= -->
<!-- ============= Introduction ============================== -->
  <sect1 id="gedit-intro"> 
	 <title>Introduction</title>
	 <para>The <application>&app;</application> application is a simple text
		editor. You can use <application>&app;</application> to create and edit text
		files. You can use <application>&app;</application> plugins to perform a
		variety of tasks related to text-editing from within the
		<application>&app;</application> window.</para>
  </sect1>
<!-- ============= Getting Started =========================== -->
  <sect1 id="gedit-getting-started"> 
	 <title>Getting Started</title>

<!-- ============= To Start gedit ============================ -->
	 <sect2 id="gedit-to-start"> 
		<title>To Start &app;</title>
		<para>You can start <application>&app;</application> in the following ways:</para>
		<variablelist>
    		<varlistentry>
    		<term><guimenu>Applications</guimenu> menu</term>
    		<listitem>
    		<para>Choose 
    		<menuchoice>
    		<guisubmenu>Accessories</guisubmenu>
    		<guimenuitem>Text Editor</guimenuitem>
    		</menuchoice>. </para>
    		</listitem>
    		</varlistentry>
    		<varlistentry>
    		<term>Command line</term>
    		<listitem>
    		<para>Type <command>gedit</command>, then press <keycap>Return</keycap>.</para>
    		</listitem>
    		</varlistentry>
    		</variablelist>
	</sect2>
	
	<sect2 id="gedit-when-you-start">
	
		<title>When You Start &app;</title>	
		<para>When you start <application>&app;</application>, the following window is displayed:</para>
	
		<figure id="gedit-window"> 
		  <title>&app; Window</title>
		  <screenshot> 
			 <mediaobject> 
				<imageobject> 
				  <imagedata fileref="figures/gedit_window.png" format="PNG"/>
					 </imageobject>
				<textobject> <phrase>Shows gedit main window.</phrase>
				</textobject> 
			</mediaobject>
		  </screenshot>
		</figure>
	
		<para>The <application>&app;</application> window contains the following
		  elements: </para>
		<variablelist> 
		  <varlistentry> <term>Menubar</term> 
			 <listitem> 
				<para>The menus on the menubar contain all of the commands you need
				  to work with files in <application>&app;</application>.</para>
			 </listitem>
		  </varlistentry>
		  <varlistentry> <term>Toolbar</term> 
			 <listitem> 
				<para> The toolbar contains a subset of the commands that you can
				  access from the menubar.</para>
			 </listitem>
		  </varlistentry>
		  <varlistentry> <term>Display area</term> 
			 <listitem> 
				<para> The display area contains the text of the file that you are
				  editing. </para>
			 </listitem>
		  </varlistentry>
		  <varlistentry> <term>Output window</term> 
			 <listitem> 
				<para>The output window displays the output returned by the Shell command plugin and the Compare files plugin. </para>
			 </listitem>
		  </varlistentry>
		  <varlistentry> <term>Statusbar</term> 
			 <listitem> 
				<para>The statusbar displays information about current
				  <application>&app;</application> activity and contextual information about the
				  menu items. </para>
			 </listitem>
		  </varlistentry>
		</variablelist>
		<para>When you right-click in the <application>&app;</application>
		  window, the application displays a popup menu. The popup menu contains the most
		  common text editing commands. </para>
	 </sect2>
<!-- ============= To Open a File ============================= -->
	 <sect2 id="gedit-open-file"> 
		<title>To Open a File</title>
		<para>To open a file, choose 
		  <menuchoice> <guimenu>File</guimenu> <guimenuitem>Open</guimenuitem>
			 </menuchoice>
		  to display the <guilabel>Open File</guilabel> dialog. Select the file
		  that you want to open, then click <guibutton>OK</guibutton>. The file is
		  displayed in the <application>&app;</application> window. </para>
		<para>You can open multiple files in <application>&app;</application>.
		  The application displays one file at a time in the application window. The
		  application adds a tab for each open file to the window. To display another
		  open file, click on the tab that corresponds to the file. To create a new
		  <application> &app;</application> window for each file that is open, drag the
		  tab corresponding to each file to the desktop background. </para>
                  <para>You can also use the
		  <guimenu>Documents</guimenu> menu to move between the open files. You can choose <menuchoice> <guimenu>Documents</guimenu> <guimenuitem>Move to New Window</guimenuitem> </menuchoice> to move a document to a new <application> &app;</application> window.
</para>
		<para>The application records the paths and filenames of the five
		  most recent files that you edited and displays the files as menu items on the <menuchoice>
		  <guimenu>File</guimenu> </menuchoice> menu. 
		  </para>
	 </sect2>
<!-- ============= To Open Multiple Files from the Command Line ========= -->
	 <sect2 id="gedit-run-from-cmd-line"> 
		<title>To Open Multiple Files from a Command Line</title>
		<para>You can run <application>&app;</application> from a command line
		  and open a single file or multiple files. To open multiple files from a command
		  line, type the following command, then press <keycap>Return</keycap>:</para>
		<para><command>gedit <replaceable>file1.txt file2.txt file3.txt</replaceable></command></para>
		<para>When the application starts, the files that you specify are
		  displayed in the <application>&app;</application> window.</para>
                <para>For more information on how to run <application>&app;</application> from a command line, see <citerefentry><refentrytitle>&app;</refentrytitle><manvolnum>1</manvolnum></citerefentry>.</para>
	 </sect2>
  </sect1>
<!-- ================ Usage ================================ -->
  <sect1 id="gedit-usage"> 
	 <title>Usage</title>

<!-- ============= To Create a New File ======================== -->
	 <sect2 id="gedit-create-new-file"> 
		<title>To Create a New File</title>
		<para>To create a new file, choose 
		  <menuchoice> <guimenu>File</guimenu> <guimenuitem>New</guimenuitem>
			 </menuchoice>. The application displays a new file in the
		  <application>&app;</application> window.</para>
	 </sect2>
<!-- ============= To Save a File ============================== -->
	 <sect2 id="gedit-save-file"> 
		<title>To Save a File</title>
		<para>You can save files in the following ways:</para>
		<itemizedlist> 
		  <listitem><para>To save changes to an existing file, choose 
				<menuchoice> <guimenu>File</guimenu>
				  <guimenuitem>Save</guimenuitem> </menuchoice> or click <guibutton>Save</guibutton>
				  on the toolbar. </para>
		  </listitem>
		  <listitem><para>To save a new file or to save an existing file under a new filename, choose 
				<menuchoice> <guimenu>File</guimenu> <guimenuitem>Save
				  As</guimenuitem> </menuchoice>. Enter a name for the file in the <guilabel>Save
				As</guilabel> dialog box, then click <guibutton>OK</guibutton>. </para>
		  </listitem>
		  <listitem><para>To save all of the files that are currently open in
				<application>&app;</application>, choose 
				<menuchoice> <guimenu>Documents</guimenu> <guimenuitem>Save
				  All</guimenuitem> </menuchoice>.</para>
		  </listitem>
		</itemizedlist>
	 </sect2>
<!-- ============= To Edit Text ================================ -->
	 <sect2 id="gedit-edit-text"> 
		<title>To Edit Text</title>
		<para>You can edit the text of a file in the following ways:</para>
		<itemizedlist> 
		  <listitem><para>Type new text from the keyboard. </para>
		  </listitem>
		  <listitem><para>Use the <keycap>Delete</keycap> key to delete text.
				</para>
		  </listitem>
		  <listitem><para>Use the <guimenuitem>Cut</guimenuitem>,
				<guimenuitem>Copy</guimenuitem>, <guimenuitem>Paste</guimenuitem>, and
				<guimenuitem>Delete</guimenuitem> menu items on the <guimenu>Edit</guimenu> menu to edit text. </para>
		  </listitem>
		</itemizedlist>
		<para>When you select text with the mouse,
		  <application>&app;</application> automatically copies the selected text to a
		  buffer. You can perform any of the following actions on the selected text:
		  </para>
		<itemizedlist> 
		  <listitem><para>To delete the selected text from the file and move the
				selected text to a buffer, choose 
				<menuchoice> <guimenu>Edit</guimenu> <guimenuitem>Cut</guimenuitem>
				  </menuchoice>.</para>
		  </listitem>
		  <listitem><para>To permanently delete the selected text from the file, choose 
				<menuchoice> <guimenu>Edit</guimenu> <guimenuitem>Delete</guimenuitem>
				  </menuchoice>.</para>
		  </listitem>
		  <listitem><para>To insert the contents of the buffer at the cursor
				position, middle-click or choose 
				<menuchoice> <guimenu>Edit</guimenu>
				  <guimenuitem>Paste</guimenuitem> </menuchoice>. You must cut or copy text
				before you can paste text into the file.</para>
		  </listitem>
		  <listitem><para>To select all of the text in a file, choose 
				<menuchoice> <guimenu>Edit</guimenu> <guimenuitem>Select
				  All</guimenuitem> </menuchoice>. </para>
		  </listitem>
		</itemizedlist>
	 </sect2>
<!-- ============== To Undo or Redo Edits ====================== -->
	 <sect2 id="gedit-undo-redo-edits"> 
		<title>To Undo or Redo Edits</title>
		<para>To undo an edit, choose 
		  <menuchoice> <guimenu>Edit</guimenu> <guimenuitem>Undo</guimenuitem>
			 </menuchoice>. To redo an edit, choose 
		  <menuchoice> <guimenu>Edit</guimenu> <guimenuitem>Redo</guimenuitem>
			 </menuchoice>. The number of previous edits that you can undo is determined by
		  the <guilabel>Set limit on undo actions to</guilabel> setting in the
		  <xref linkend="gedit-prefs-undo"/> tabbed section of the
		  <guilabel>Preferences</guilabel> dialog. By default, the number of actions that you 
		  can undo is 25.</para>
	 </sect2>
<!-- ============= To Find Text ================================ -->
	 <sect2 id="gedit-find-text"> 
		<title>To Find Text</title>
		<para>To search a file for a string, perform the following steps:</para>
		<orderedlist> 
		  <listitem><para>Choose 
				<menuchoice> <guimenu>Search</guimenu>
				  <guimenuitem>Find</guimenuitem> </menuchoice>
				to display the <guilabel>Find</guilabel> dialog.</para>
		  </listitem>
		  <listitem><para>Type the string that you want to find, in the
				<guilabel>Search for</guilabel> field.</para>
                  <para>You can include the following escape sequences:</para>
			 <itemizedlist> 
				<listitem>
                                   <para><literal>\n</literal></para>
                                   <para>Use this escape sequence to specify a new line</para>
				</listitem>
				<listitem>
                                   <para><literal>\t</literal></para>
                                   <para>Use this escape sequence to specify a tab character</para>
				</listitem>
				<listitem>
                                   <para><literal>\r</literal></para>
                                   <para>Use this escape sequence to specify a carriage return</para>
				</listitem>
			 </itemizedlist> 
		  </listitem>
		  <listitem><para>Select the <guilabel>Case sensitive</guilabel> option
				to only find occurrences of the string that match the case of the text that you
				type. </para>
		  </listitem>
		  <listitem><para>Select the <guilabel>Match entire word only</guilabel> option
				to only find occurrences of the string that match the entire words of the text that you
				type. </para>
		  </listitem>
		  <listitem><para>Select the <guilabel>Wrap around</guilabel> option to search to the end of the file and then continue the search from the beginning of the file. </para>
		  </listitem>
		  <listitem><para>Click <guibutton>Find</guibutton> to search the file
				for the first occurrence of the string. If <application>&app;</application>
				finds the string, the application moves the cursor to the string, and selects
				the string.</para>
		  </listitem>
		  <listitem><para>To find the next occurrence of the string, click
				<guibutton>Find</guibutton>.</para>
		  </listitem>
		  <listitem><para>To finish the search, click
				<guibutton>Close</guibutton>. </para>
		  </listitem>
		</orderedlist>
	 </sect2>
<!-- ============= To Find and Replace Text =================== -->
	 <sect2 id="gedit-find-replace-text"> 
		<title>To Find and Replace Text</title>
		<para>To search a file for a string, and replace the string with an
		  alternative string, perform the following steps:</para>
		<orderedlist> 
		  <listitem><para>Choose 
				<menuchoice> <guimenu>Search</guimenu>
				  <guimenuitem>Replace</guimenuitem> </menuchoice>
				to display the <guilabel>Replace</guilabel> dialog.</para>
		  </listitem>
		  <listitem><para>Type the string that you want to find, in the
				<guilabel>Search for</guilabel> field. </para>
                  <para>You can include the following escape sequences:</para>
			 <itemizedlist> 
				<listitem>
                                   <para><literal>\n</literal></para>
                                   <para>Use this escape sequence to specify a new line</para>
				</listitem>
				<listitem>
                                   <para><literal>\t</literal></para>
                                   <para>Use this escape sequence to specify a tab character</para>
				</listitem>
				<listitem>
                                   <para><literal>\r</literal></para>
                                   <para>Use this escape sequence to specify a carriage return</para>
				</listitem>
			 </itemizedlist> 
		  </listitem>
		  <listitem><para>Type the string that you want to use to replace the
				string that you find, in the <guilabel>Replace with</guilabel> field.</para>
		  </listitem>
		  <listitem><para>Select the <guilabel>Case sensitive</guilabel> option
				to only find occurrences of the string that match the case of the text that you
				enter. </para>
		  </listitem>
		  <listitem><para>Select the <guilabel>Match entire word only</guilabel> option
				to only find occurrences of the string that match the entire words of the text that you
				type. </para>
		  </listitem>
		  <listitem><para>Select the <guilabel>Wrap around</guilabel> option to search to the end of the file and then continue the search from the beginning of the file. </para>
		  </listitem>
		  <listitem><para>Click <guibutton>Find</guibutton> to search the file
				for the first occurrence of the string. If <application>&app;</application>
				finds the string, the application moves the cursor to the string, and selects
				the string. </para>
		  </listitem>
		  <listitem><para>Click on <guibutton>Replace</guibutton> to replace the
				occurrence of the string with the text that you typed in the <guilabel>Replace
				with</guilabel> field. Click on <guibutton>Replace All</guibutton> to replace
				all occurrences of the string.</para>
		  </listitem>
		  <listitem><para>To find the next occurrence of the string, click
				<guibutton>Find</guibutton>.</para>
		  </listitem>
		  <listitem><para>To finish the search, click
				<guibutton>Close</guibutton>. </para>
		  </listitem>
		</orderedlist>
	 </sect2>
<!-- ============= To Open a File from a URI ======================= -->
	 <sect2 id="gedit-open-from-uri"> 
		<title>To Open a File from a URI</title>
		<para>To open a file from a Uniform Resource Identifier (URI), perform one of the following steps:</para>
		<itemizedlist>
		<listitem>
		<para>Choose <menuchoice> <guimenu>File</guimenu> <guimenuitem>Open Location</guimenuitem> 
		</menuchoice>
to display the <guilabel>Open Location</guilabel>
dialog. Enter the URI of the 
		file that you want to
open, then click <guibutton>Open</guibutton>.</para>
		</listitem>
		<listitem>
		<para>Type <command>gedit <replaceable>http://...</replaceable></command> at a command line, where
		<replaceable>http://...</replaceable> is the URI of the file that you want to open, then press
		<keycap>Return</keycap>.</para>
		</listitem>
		</itemizedlist>
		<para>The application opens the file located at the URI in read-only mode.</para>
	 </sect2>	 
<!-- ============= To Pipe the Output of a Command to a File ======= -->
	 <sect2 id="gedit-pipe-output"> 
		<title>To Pipe the Output of a Command to a File</title>
		<para>You can use <application>&app;</application> to pipe the output of
		  a command to a text file. For example, to pipe the output of an <command>ls
		  </command> command to a text file, type <command>ls | gedit</command>, then press
		  <keycap>Return</keycap>.</para>
		<para>The output of the <command>ls</command> command is displayed in a
		  new text file in the <application>&app;</application> window.</para>
		<para>Alternatively, you can use the Shell command plugin to pipe command
		  output to the current file. To use the Shell command plugin, perform the
		  following steps:</para>
		<orderedlist> 
		  <listitem><para>Load the Shell command plugin. See <xref linkend="gedit-install-plugins"/> for 
			information about how to load a plugin.</para>
		  </listitem>

		  <listitem><para>Choose 
				<menuchoice> <guimenu>Tools</guimenu> <guimenuitem>Run Command</guimenuitem> </menuchoice>
				to display the <guilabel>Run Command</guilabel> dialog.
				</para>
		  </listitem>
		  <listitem><para>Type the shell command that you want to execute in the
				<guilabel>Command</guilabel> field. </para>
                             <para> You can include the following special characters:</para>
                                <itemizedlist>
                                  <listitem>
                                   <para><literal>%f</literal></para>
                                   <para>Use these special characters to specify the file name of the current active document, including the path. </para>
                                  </listitem>
                                  <listitem>
                                   <para><literal>%n</literal></para>
                                   <para>Use these special characters to specify the file name of the current active document, without the path; in this case, <application>&app;</application> looks for the file in the Working directory. </para>
                                  </listitem>
                                </itemizedlist>
		  </listitem>
		  <listitem><para>Edit the <guilabel>Working directory</guilabel> field
				if necessary. By default, the Shell command plugin executes the command you
				specify in the current directory.</para>
		  </listitem>
		  <listitem><para>Select the <guilabel>Show results in Output Window</guilabel> option to display the results of the command in the Output window. If this option is not selected, the results of the command are discarded. By default, the <guilabel>Show results in Output Window</guilabel> option is selected.
				</para>
		  </listitem>
		  <listitem><para>Click <guibutton>Run</guibutton>. The Shell command
				plugin executes the command and inserts the text output into the output window.
				</para>
		  </listitem>
		  <listitem><para>Use the <keycap>Shift</keycap> key to select the text in the output window.
				</para>
		  </listitem>
		  <listitem><para>Click the <guibutton>Copy selected lines</guibutton> button to copy the selected text into the buffer.
				</para>
		  </listitem>
		  <listitem><para>Choose <menuchoice> <guimenu>Edit</guimenu> <guimenuitem>Paste</guimenuitem> </menuchoice>
                                to paste the selected text into the file.
				</para>
		  </listitem>
		  <listitem><para>Click the <guibutton>Close the output window</guibutton> button to close the output window.
				</para>
		  </listitem>
		</orderedlist>
	 </sect2>
<!-- ============= To Go to a Specific Line ======================= -->
	 <sect2 id="gedit-goto-line"> 
		<title>To Go to a Specific Line</title>
		<para>To go to a specific line in the current file, perform the following
		  steps:</para>
		<orderedlist> 
		  <listitem><para>Choose 
				<menuchoice> <guimenu>Search</guimenu> <guimenuitem>Go To
				  Line</guimenuitem> </menuchoice>
				to display the <guilabel>Go to line</guilabel> dialog.</para>
		  </listitem>
		  <listitem><para>Type the number of the line that you want to move the
				cursor to in the <guilabel>Line number</guilabel> field.</para>
		  </listitem>
		  <listitem><para>Click <guibutton>Go to line</guibutton>. The application
				moves the cursor to the line number that you specify.</para>
		  </listitem>
		  <listitem><para>To close the <guilabel>Go to line</guilabel> dialog, click <guibutton>Close</guibutton>.</para>
		  </listitem>
		</orderedlist>
	 </sect2>
	 <sect2 id="gedit-input-mode">
		<title>To Change the Input Mode</title>
		<para>To change the input mode, right-click in the text window, then select <guimenuitem>Input Methods</guimenuitem>. 
		The <guimenuitem>Insert Unicode control character</guimenuitem> menu item provides character layout 
		options that are useful for working with non-Latin character sets.</para>
	 </sect2>
<!-- ============= To Print a File ============================ -->
	 <sect2 id="gedit-print-file"> 
		<title>To Print a File</title>
		<para>You can use <application>&app;</application> to perform the
		  following print operations:</para>
		<itemizedlist> 
		  <listitem><para>Print a file to a printer. </para>
		  </listitem>
		  <listitem><para>Print the output of the print command to a file.</para>
		  </listitem>
		</itemizedlist>
		<para>If you print to a file, <application>&app;</application> sends the
		  output of the file to a pre-press format file. The most common pre-press
		  formats are PostScript and Portable Document Format (PDF).</para>
		  
		<para>To preview the pages that you want to print, choose
		<menuchoice> <guimenu>File</guimenu>
		<guimenuitem>Print Preview</guimenuitem> </menuchoice>.</para>
		  
		<para>To print the current file to a printer or a file, choose 
		<menuchoice> <guimenu>File</guimenu>
		<guimenuitem>Print</guimenuitem> </menuchoice>
		to display the <guilabel>Print</guilabel> dialog.</para>
				
		<para>The <guilabel>Print</guilabel> dialog allows you to specify the following
		print options:</para>
		
		<sect3 id="print-dialog-job">
		<title>Job Tabbed Section</title>
		<variablelist>
	 		<varlistentry> <term><guilabel>Print range</guilabel> </term> 
			 <listitem> 
				<para>Select one of the following options to determine how 
				many pages to print:</para>
				<itemizedlist>
				<listitem>
				<para><guilabel>All</guilabel></para>
				<para>Select this option to print all of the pages in the file.</para>
				</listitem>
				<listitem>
				<para><guilabel>Selection</guilabel></para>
				<para>Select this option to print the selected text only. This option
				is only available if you selected text.</para>
				</listitem>
								
				</itemizedlist>
				<!-- <para>Default: <guilabel>All</guilabel>.</para>
 -->
			 </listitem>
		  	</varlistentry>
		  	<varlistentry> <term><guilabel>Copies</guilabel> </term> 
			 <listitem> 
				<para>Use this spin box to specify the number of copies of the file that
				you want to print.</para>
				<!-- <para>Default: 1.</para>
 -->
			 </listitem>
		  	</varlistentry>
		  	<varlistentry> <term><guilabel>Collate</guilabel> </term> 
			 <listitem> 
				<para>If you are printing multiple copies of the file, select this option
				to collate the printed copies.</para>
				<!-- <para>Default: unselected.</para>
 -->
			 </listitem>
		  	</varlistentry>
			</variablelist>
		</sect3>
		
		<sect3 id="print-dialog-printer">
		<title>Printer Tabbed Section</title>
		<variablelist>
	 		<varlistentry> <term><guilabel>Printer</guilabel> </term> 
			 <listitem> 
				<para>Use this drop-down list box to select the printer to which you want
				to print the file.</para>
				<!-- <para>Default: <guilabel>Gnome default printer</guilabel>.</para>
 -->
			 </listitem>
		  	</varlistentry>
		  	<varlistentry> <term><guilabel>Settings</guilabel> </term> 
			 <listitem> 
				<para>Use this drop-down list box to select the printer settings. To configure
				the printer, click <guibutton>Configure</guibutton>.</para>
				<!-- <para>Default: Default.</para>
 -->
			 </listitem>
		  	</varlistentry>
		  	<varlistentry> <term><guilabel>Location</guilabel> </term> 
			 <listitem> 
				<para>Use this drop-down list box to select the print destination. To print the
				file to a printer, choose <guilabel>lpr</guilabel>. To print the file
				to a print file, choose <guilabel>File</guilabel>. If you select <guilabel>File</guilabel>,
				type the name of the output file in the text box provided. To print a file to a 
                                location of your choice, choose <guilabel>Custom</guilabel>. Type the location you want 
                                in the <guilabel>Custom</guilabel> text box.</para>
				<!-- <para>Default: <guilabel>lpr</guilabel>.</para>
 -->
			 </listitem>
		  	</varlistentry>
			</variablelist>
		</sect3>
		
		<sect3 id="print-dialog-paper">
		<title>Paper Tabbed Section</title>
		<variablelist>
	 		<varlistentry> <term><guilabel>Paper size</guilabel> </term> 
			 <listitem> 
				<para>Use this drop-down list box to select the size of the paper to 
				which you want to print the file.</para>
				<!-- <para>Default: <guilabel>A4</guilabel>.</para>
 -->
			 </listitem>
		  	</varlistentry>
		  	<varlistentry> <term><guilabel>Width</guilabel> </term> 
			 <listitem> 
				<para>Use this spin box to specify the width of the paper. Use the
				adjacent drop-down list box to change the 
				measurement unit for specifying the paper size.</para>
				<!-- <para>Default: 21.00 centimeters.</para>
 -->
			 </listitem>
		  	</varlistentry>
		  	<varlistentry> <term><guilabel>Height</guilabel> </term> 
			 <listitem> 
				<para>Use this spin box to specify the height of the paper.</para>
				<!-- <para>Default: 29.70 centimeters.</para>
 -->
			 </listitem>
		  	</varlistentry>
		  	<varlistentry> <term><guilabel>Feed orientation</guilabel> </term> 
			 <listitem> 
				<para>Use this drop-down list box to specify the orientation 
                                of the paper in the printer.</para>
				<!-- <para>Default: <guilabel>Portrait</guilabel>.</para>
 -->
			 </listitem>
		  	</varlistentry>
		  	<varlistentry> <term><guilabel>Page orientation</guilabel> </term> 
			 <listitem> 
				<para>Use this drop-down list box to select the page orientation.</para>
				<!-- <para>Default: <guilabel>Portrait</guilabel>.</para>
 -->
			 </listitem>
		  	</varlistentry>
		  	<varlistentry> <term><guilabel>Layout</guilabel> </term> 
			 <listitem> 
				<para>Use this drop-down list box to select the page layout. A preview
				of each layout that you select is displayed in the <guilabel>Preview</guilabel>
				area.</para>
				<!-- <para>Default: <guilabel>Plain</guilabel>.</para>
 -->
			 </listitem>
		  	</varlistentry>
		</variablelist>
		</sect3>
		
	 </sect2>
<!-- ============= To Use the gedit Plugins ========================= -->
	 <sect2 id="gedit-use-plugins"> 
		<title>To Use the &app; Plugins</title>
		<para>A plugin is a supplementary program that enhances the functionality
		  of an application. The <application>&app;</application> plugins enable you to
		  perform a variety of functions related to text editing from within the
		  <application> &app;</application> window. The following table lists the plugins
		  that are available.</para>
		<informaltable frame="topbot"> 
		<tgroup cols="2"> 
			<colspec colname="col1"/> 
			<colspec colname="col2"/> 
		<thead> 
		<row valign="top">
			<entry colname="col1" colsep="0" valign="top"><para>Plugin Name</para></entry>
			<entry colname="col2" valign="top"><para>Purpose</para></entry> 
		</row> 
		</thead>
		<tbody> 
		<row valign="top"> 
			<entry><para>ASCII table</para></entry> 
			<entry><para>Displays a dialog that contains an ASCII table. You can use the ASCII table to insert characters into a file.</para></entry> 
		</row>  
		<row valign="top"> 
			<entry><para>CVS ChangeLog</para></entry> 
			<entry><para>Opens the log messages associated with CVS commit commands.</para></entry> 
		</row> 
		<row valign="top"> 
			<entry><para>Compare files</para></entry> 
			<entry><para>Compares two files and displays the differences between the files in the Output window.
			This plugin uses the <application>diff</application> program to compare the files.</para></entry> 
		</row>
		<row valign="top"> 
			<entry><para>Document Statistics</para></entry> 
			<entry><para>Counts the number of lines, words, characters with spaces, characters without spaces, and bytes in the current file. The plugin
			displays the results in a <guilabel>Document Statistics</guilabel> window. </para></entry> 
		</row> 
		<row valign="top">
			<entry><para>Indent lines</para></entry> 
			<entry><para>Indents the selected lines, or removes the indentation from the selected lines.</para></entry> 
		</row>
		<row valign="top">
			<entry><para>Insert Date/Time</para></entry> 
			<entry><para>Inserts the current date and time into a file.</para></entry> 
		</row>
		<row valign="top">
			<entry><para>Shell command</para></entry> 
			<entry><para>Displays the text output of a shell command in the output window. </para></entry> 
		</row> 
		<row valign="top">
			<entry><para>Sort</para></entry> 
			<entry><para>Sorts the selected text. </para></entry> 
		</row> 
		<row valign="top">
			<entry><para>Spell checker</para></entry> 
			<entry><para>Checks the spelling in the selected text. You can configure <application>&app;</application> to check the spelling automatically, or you can check the spelling manually, in the specified language.</para></entry> 
		</row> 
		<row valign="top">
			<entry><para>Tag list</para></entry> 
			<entry><para>Displays a dialog that contains a list of common tags. You can use the dialog to 
			insert a tag into a file. </para></entry> 
		</row>
		<row valign="top">
			<entry><para>User name</para></entry> 
			<entry><para>Inserts the username of the current user into the file. </para></entry> 
		</row> 
		</tbody> 
		</tgroup>
		</informaltable> 
		</sect2>
<!-- ============= To Load gedit Plugins ========================= -->
	 <sect2 id="gedit-install-plugins"> 
		<title>To Load &app; Plugins</title>
		<para>To load <application>&app;</application> plugins, choose 
		  <menuchoice> 
		  <guimenu>Edit</guimenu>
		  <guimenuitem>Preferences</guimenuitem> 
		  </menuchoice>. Within the <guilabel>Plugins</guilabel> category, click on the <guilabel>Manager</guilabel> subcategory. 
		  The <guilabel>Manager</guilabel> subcategory displays the following information:</para>
		<itemizedlist> 
		  <listitem><para>A list of the plugins that are available.</para>
		  </listitem>
		  <listitem><para>A <guibutton>Configure plugin</guibutton> button. You can use this button to open a 
		  configuration dialog for the plugins that you can configure.</para>
		  </listitem>
		  <listitem><para>A brief description of each plugin. To display a description,
		  select the plugin from the list of plugins.</para>
		  </listitem>	
		  <listitem><para>Details about the author of the plugin and the name of the module.</para>
		  </listitem>	  
		</itemizedlist>
		<para>To load a plugin, select the check box next to the name of the plugin. The <application>&app;</application> application
		adds the plugin to the appropriate <application>&app;</application> menu, as described in the following table.</para>
		<informaltable frame="topbot"> 
		<tgroup cols="2"> 
		<colspec colname="col1"/> 
		<colspec colname="col2"/> 
		<thead> 
		<row valign="top">
			<entry colname="col1" colsep="0" valign="top"><para>Plugin Name</para></entry>
			<entry colname="col2" valign="top"><para>Added to Menu</para></entry> 
		</row> 
		</thead>
		<tbody> 
		<row valign="top"> 
			<entry><para>ASCII table</para></entry> 
			<entry><para><menuchoice><guimenu>View</guimenu>
			<guimenuitem>ASCII Table</guimenuitem></menuchoice></para></entry> 
		</row>  
		<row valign="top"> 
			<entry><para>CVS ChangeLog</para></entry> 
			<entry><para><menuchoice><guimenu>File</guimenu> 
			<guimenuitem>Open CVS ChangeLogs</guimenuitem></menuchoice></para></entry> 
		</row> 
		<row valign="top"> 
			<entry><para>Compare files</para></entry> 
			<entry><para><menuchoice><guimenu>Tools</guimenu> 
			<guimenuitem>Compare files</guimenuitem></menuchoice></para></entry> 
		</row>
		<row valign="top"> 
			<entry><para>Document Statistics</para></entry> 
			<entry><para><menuchoice><guimenu>Tools</guimenu> 
			<guimenuitem>Document Statistics</guimenuitem></menuchoice></para></entry> 
		</row> 
		<row valign="top"> 
			<entry><para>Indent lines</para></entry> 
			<entry><para><menuchoice><guimenu>Edit</guimenu> 
			<guimenuitem>Indent</guimenuitem></menuchoice></para>
                        <para><menuchoice><guimenu>Edit</guimenu> 
			<guimenuitem>Unindent</guimenuitem></menuchoice></para></entry> 
		</row> 
		<row valign="top">
			<entry><para>Insert Date/Time</para></entry> 
			<entry><para><menuchoice><guimenu>Edit</guimenu> 
			<guimenuitem>Insert Date/Time</guimenuitem></menuchoice></para></entry> 
		</row>
		<row valign="top">
			<entry><para>User name</para></entry> 
			<entry><para><menuchoice><guimenu>Edit</guimenu> 
			<guimenuitem>Insert User Name</guimenuitem></menuchoice></para></entry> 
		</row> 
		<row valign="top">
			<entry><para>Shell command</para></entry> 
			<entry><para><menuchoice><guimenu>Tools</guimenu> 
			<guimenuitem>Run Command</guimenuitem></menuchoice></para></entry> 
		</row> 
		<row valign="top">
			<entry><para>Sort</para></entry> 
			<entry><para><menuchoice><guimenu>Edit</guimenu> 
			<guimenuitem>Sort</guimenuitem></menuchoice></para></entry> 
		</row> 
		<row valign="top">
			<entry><para>Spell checker</para></entry> 
			<entry>
                          <para><menuchoice><guimenu>Tools</guimenu> 
			  <guimenuitem>Check Spelling</guimenuitem></menuchoice></para>
			  <para><menuchoice><guimenu>Tools</guimenu> 
			  <guimenuitem>Autocheck Spelling</guimenuitem></menuchoice></para> 
			  <para><menuchoice><guimenu>Tools</guimenu> 
			  <guimenuitem>Set Language</guimenuitem></menuchoice></para> 
                        </entry> 
		</row> 
		<row valign="top">
			<entry><para>Tag list</para></entry> 
			<entry><para><menuchoice><guimenu>View</guimenu> 
			<guimenuitem>Tag List</guimenuitem></menuchoice></para></entry> 
		</row>
		</tbody> 
		</tgroup>
		</informaltable> 

		<para>To remove a plugin, deselect the check box next to the name of the plugin.</para>
		<para>To close the <guilabel>Preferences</guilabel> dialog,
		  click <guibutton>Close</guibutton>.</para>
	 </sect2>
	 
	 <sect2 id="gedit-customize-bars">
	 <title>To Customize the Toolbar and Statusbar</title>
	 
	 <para>To display or hide the toolbar, choose <menuchoice> <guimenu>View</guimenu>
		  <guimenuitem>Toolbar</guimenuitem> </menuchoice>. To customize how <application>&app;</application>
		  displays the toolbar, choose <menuchoice> <guimenu>View</guimenu>
		  <guisubmenu>Customize Toolbar</guisubmenu> </menuchoice>, then select one of the following 
		  menu items:</para>
		  <itemizedlist>
		  <listitem>
		  <para><guimenuitem>Desktop Default</guimenuitem></para>
		  <para>Display the default toolbar.</para>
		  </listitem>
		  <listitem>
		  <para><guimenuitem>Icon</guimenuitem></para>
		  <para>Display icons only.</para>
		  </listitem>
		  <listitem>
		  <para><guimenuitem>Icon and Text</guimenuitem></para>
		  <para>Display icons and text.</para>
		  </listitem>
		  <listitem>
		  <para><guimenuitem>Priority Text beside Icons</guimenuitem></para>
		  <para>Display icons, and display text beside some of the icons.</para>
		  </listitem>
		  </itemizedlist>
	 <para>To display or hide the statusbar, choose <menuchoice> <guimenu>View</guimenu>
	 <guimenuitem>Statusbar</guimenuitem> </menuchoice>. To customize how <application>&app;</application>
	 displays the statusbar, choose <menuchoice> <guimenu>View</guimenu>
	 <guisubmenu>Customize Statusbar</guisubmenu> </menuchoice>, then select one of the following 
	 menu items:</para>
		  <itemizedlist>
		  <listitem>
		  <para><guimenuitem>Show Cursor Position</guimenuitem></para>
		  <para>Display the line number and column number where the cursor is located.</para>
		  <!-- <para>Default: selected.</para> -->
		  </listitem>
		  <listitem>
		  <para><guimenuitem>Show Overwrite Mode</guimenuitem></para>
		  <para>Display the editing mode. If the editor is in insert mode, the statusbar contains the word INS. If the editor is in 
		  overwrite mode, the statusbar contains the word OVR.</para>
		  <!-- <para>Default: selected.</para> -->
		  </listitem>
		  </itemizedlist>
	 <para>To display or hide the output window, choose <menuchoice> <guimenu>View</guimenu>
		  <guimenuitem>Output window</guimenuitem> </menuchoice>.</para>
	 
	 </sect2>
  </sect1>
<!-- ============= Preferences ============================= -->
  <sect1 id="gedit-prefs"> 
	 <title>Preferences</title>
	   
	 <para>To configure <application>&app;</application>, choose 
		<menuchoice> 
		<guimenu>Edit</guimenu>
		<guimenuitem>Preferences</guimenuitem> 
		</menuchoice>. The <guilabel>Preferences</guilabel> dialog contains the following
		categories:</para>
	 <itemizedlist> 
		<listitem><para><xref linkend="gedit-prefs-editor"/></para>
		</listitem>
		<listitem><para><xref linkend="gedit-prefs-print"/></para>
		</listitem>
		<listitem><para><xref linkend="gedit-prefs-plugins"/></para>
		</listitem>
	 </itemizedlist>
	 
	 
	 <sect2 id="gedit-prefs-editor">
	 <title>Editor</title>
	 <para>The <guilabel>Editor</guilabel> category is subdivided into the following 
	 subcategories:</para>
	 
	 	<sect3 id="gedit-prefs-fontsandcolors">
	 		<title>Fonts and Colors</title>
	 		<variablelist> 
		   <varlistentry> <term><guilabel>Use default theme font</guilabel> </term> 
			 <listitem> 
				<para>Select this option to use the default system font for the text in the <application>&app;</application> text window. </para>
				<!-- <para>Default: unselected.</para>
 -->
			 </listitem>
		  	</varlistentry>			
		   <varlistentry> <term><guilabel>Editor font</guilabel> </term> 
			 <listitem> 
				<para>This field displays the font that <application>&app;</application> uses to display text. 
				Click on the button to specify the font type, style, and size to use for text. </para>
				<!-- <para>Default: Courier Medium 12 point.</para>
 -->
			 </listitem>
		  	</varlistentry>
		   <varlistentry> <term><guilabel>Use default theme colors</guilabel> </term> 
			 <listitem> 
				<para>Select this option to use the default theme colors in the <application>&app;</application> text window. </para>
				<!-- <para>Default: selected.</para>
 -->
			 </listitem>
		  	</varlistentry>			
		  	<varlistentry> <term><guilabel>Text color</guilabel> </term> 
			 <listitem> 
				<para>Click on the <guibutton>Text color</guibutton> button to
				  display the color selector dialog. Select a color to use to display text in the <application>&app;</application>
				text window. </para>
				<!-- <para>Default: black.</para>
 -->
			 </listitem>
		  	</varlistentry>
		  	<varlistentry> <term><guilabel>Background color</guilabel> </term> 
			 <listitem> 
				<para>Click on the <guibutton>Background color</guibutton> button to
				  display the color selector dialog. Select a background color for the <application>&app;</application>
				text window. </para>
				<!-- <para>Default: white.</para>
 -->
			 </listitem>
		  	</varlistentry>			
		  	<varlistentry> <term><guilabel>Selected text color</guilabel> </term> 
			 <listitem> 
				<para>Click on the <guibutton>Selected text color</guibutton> button to
				  display the color selector dialog. Select a color to use to display selected text.
				</para>
				<!-- <para>Default: white.</para>
 -->
			 </listitem>
		  	</varlistentry>
		  	<varlistentry> <term><guilabel>Selection color</guilabel> </term> 
			 <listitem> 
				<para>Click on the <guibutton>Selection color</guibutton> button to
				  display the color selector dialog. Select a background color to use to highlight a text selection.
				  </para>
				<!-- <para>Default: blue.</para>
 -->
			 </listitem>
		  	</varlistentry>			
			</variablelist>
		</sect3>
	
	 	<sect3 id="gedit-prefs-tabs">
	 		<title>Tabs</title>
			<variablelist>
	 		<varlistentry> <term><guilabel>Set tabs width equivalent to</guilabel> </term> 
			 <listitem> 
				<para>Use this spin box to specify the width of the space that
				  <application> &app;</application> inserts when you press the
				  <keycap>Tab</keycap> key. </para>
				<!-- <para>Default: 8 characters.</para>
 -->
			 </listitem>
		  	</varlistentry>
	 		<varlistentry> <term><guilabel>Insert spaces instead of tabs</guilabel> </term> 
			 <listitem> 
				<para>Select this option to specify that
				  <application> &app;</application> should insert spaces instead of a tab character 
                                      when you press the
				  <keycap>Tab</keycap> key. </para>
				<!-- <para>Default: 8 characters.</para>
 -->
			 </listitem>
		  	</varlistentry>
			</variablelist>
		</sect3>	 
				
	 	<sect3 id="gedit-prefs-wrapmode">
	 		<title>Wrap Mode</title>
			<variablelist>
	 		<varlistentry> <term><guilabel>Enable text wrapping</guilabel> </term> 
			 <listitem> <para>Select this option to wrap text onto the next line,
                         at a character level, when you reach the text window boundary. </para>
				<!-- <para>Default: <guilabel>selected</guilabel>.</para>
 -->
			 </listitem>
		  	</varlistentry>
	 		<varlistentry> <term><guilabel>Do not split words over two lines</guilabel> </term> 
			 <listitem> <para>Select this option to wrap text onto the next line,
                         at a word level, when you reach the text window boundary. </para>
				<!-- <para>Default: <guilabel>selected</guilabel>.</para>
 -->
			 </listitem>
		  	</varlistentry>
			</variablelist>
		</sect3>	 

	 	<sect3 id="gedit-prefs-autoindent">
	 		<title>Auto Indent</title>
			<variablelist>
	 		<varlistentry> <term><guilabel>Enable auto indentation</guilabel> </term> 
			 <listitem> <para>Select this option to specify that the next line should start at the indentation level of the current line.
</para>
				<!-- <para>Default: <guilabel>selected</guilabel>.</para>
 -->
			 </listitem>
		  	</varlistentry>
			</variablelist>
		</sect3>	 
	 
	 	<sect3 id="gedit-prefs-open">
	 		<title>Open</title>
			<variablelist>
	 		<varlistentry> <term><guilabel>Supported encodings</guilabel> </term> 
			 <listitem> <para>Click <guibutton>Add</guibutton> to add an encoding to the list of supported encodings. Supported encodings are used by <application>&app;</application> to open files that are not in UTF-8 format or in the current locale encoding.
                           Click <guibutton>Remove</guibutton> to remove an encoding from the list of supported encodings.
                           Click <guibutton>Up</guibutton> to move an encoding to a higher position in the list of supported encodings.
                           Click <guibutton>Down</guibutton> to move an encoding to a lower position in the list of supported encodings.
                            </para>
				<!-- <para>Default: <guilabel>selected</guilabel>.</para>
 -->
			 </listitem>
		  	</varlistentry>
			</variablelist>
		</sect3>	 

	 	<sect3 id="gedit-prefs-linenumbers">
	 		<title>Line numbers</title>
			<variablelist>
	 		<varlistentry> <term><guilabel>Display line numbers</guilabel> </term> 
			 <listitem> 
				<para>Select this option to display lines numbers on the left side of the 
				<application>&app;</application> window. </para>
				<!-- <para>Default: unselected.</para> -->
			 </listitem>
		  	</varlistentry>
			</variablelist>
		</sect3>	 
		
	 	<sect3 id="gedit-prefs-save">
	 		<title>Save</title>
	 		<variablelist>
	 		<varlistentry> <term><guilabel>Create a backup copy of files before saving</guilabel> </term> 
			 <listitem> 
				<para>Select this option to create a backup copy of a file each time you save the file. The backup 
				copy of the file contains a tilde (~) at the end of the filename.</para>
				<!-- <para>Default: selected.</para> -->
			 </listitem>
		  	</varlistentry>
	 		<varlistentry> <term><guilabel>Autosave current file every</guilabel> </term> 
			 <listitem> 
				<para>Select this option to automatically save the current file at regular intervals. Use the spin box
				to specify the interval at which you want to save the file.</para>
				<!-- <para>Default: unselected, 10 minutes.</para> -->
			 </listitem>
		  	</varlistentry>
	 		<varlistentry> <term><guilabel>When saving an existing file</guilabel> </term> 
			 <listitem> 
				<para>Select one of the following save options:</para>
				<itemizedlist>
				<listitem>
				<para><guilabel>Always use UTF-8 encoding (faster)</guilabel></para>
				<para>Select this option to save files using UTF-8 bit encoding.</para>
				</listitem>
				<listitem>
				<para><guilabel>Use current locale's encoding if possible</guilabel></para>
				<para>Select this option to save files using the current locale. You can set up locales for
				different input methods. </para>
				</listitem>
				<listitem>
				<para><guilabel>Use original file encoding if possible</guilabel></para>
				<para>Select this option to save a file using the current locale if the file was already saved in the current locale.</para>
				</listitem>								
				</itemizedlist>
				<!-- <para>Default: <guilabel>Always use UTF-8 encoding (faster)</guilabel></para> -->
			 </listitem>
		  	</varlistentry>
		  	<varlistentry> <term><guilabel>When saving a new file</guilabel> </term> 
			 <listitem> 
				<para>Select one of the following save options for new files:</para>
				<itemizedlist>
				<listitem>
				<para><guilabel>Always use UTF-8 encoding (faster)</guilabel></para>
				<para>Select this option to save new files using UTF-8 bit encoding.</para>
				</listitem>
				<listitem>
				<para><guilabel>Use current locale's encoding if possible</guilabel></para>
				<para>Select this option to save new files using the current locale. You can set up locales for
				different input methods. </para>
				</listitem>							
				</itemizedlist>
			 </listitem>
		  	</varlistentry>
			</variablelist>


		</sect3>	 
	 
	 	<sect3 id="gedit-prefs-undo">
	 		<title>Undo</title>
	 		<variablelist>
	 		<varlistentry> <term><guilabel>Set limit on undo actions to</guilabel> </term> 
			 <listitem> 
				<para>Select this option to set a limit on the number of editing actions that you 
				can undo. Use the spin box to specify the maximum number of actions that you
				can undo. </para>
				<!-- <para>Default: selected, 25 actions.</para>
 -->
			 </listitem>
		  	</varlistentry>
			</variablelist>
		</sect3>
	 		
	 </sect2>	 
	 
	<sect2 id="gedit-prefs-print">
	 <title>Print</title>
	 <para>The <guilabel>Print</guilabel> category is subdivided into the following 
	 subcategories:</para>
	 
	 	<sect3 id="gedit-prefs-page">
	 		<title>Page</title>
	 	<variablelist> 
		  <varlistentry> <term><guilabel>Print page headers</guilabel> </term> 
			 <listitem> 
				<para>Select this option to include a header on each page that you
				  print. You cannot configure the header. </para>
				<!-- <para>Default: selected.</para>
 -->
			 </listitem>
		  </varlistentry>
		  <varlistentry> <term><guilabel>Enable text wrapping</guilabel> </term> 
			 <listitem> 
				<para>Select this option to automatically wrap text at a word level when you print
				  a file. The application counts wrapped lines as one line for line numbering purposes.
				  </para>
				<!-- <para>Default: selected.</para>
 -->
			 </listitem>
		  </varlistentry>
		  <varlistentry> <term><guilabel>Print line numbers every</guilabel>
			 </term> 
			 <listitem> 
				<para>Select this option to include line numbers when you print a
				  file. Use the spin box to specify how often to print the line numbers, for
				  example every 5 lines, every 10 lines, and so on. </para>
				<!-- <para>Default: unselected, 1 line.</para>
 -->
			 </listitem>
		  </varlistentry>
		</variablelist>
		</sect3>
		
		<sect3 id="gedit-prefs-fonts">
	 		<title>Fonts</title>
	 	<variablelist> 
		  <varlistentry> <term><guilabel>Body</guilabel> </term> 
			 <listitem> 
				<para>Click on this button to select the font to use to print the body text of a 
				file.</para>
				<!-- <para>Default: Courier 9.0.</para>
 -->
			 </listitem>
		  </varlistentry>
		  <varlistentry> <term><guilabel>Page headers</guilabel> </term> 
			 <listitem> 
				<para>Click on this button to select the font to use to print the headers in a 
				file.  </para>
				<!-- <para>Default: Helvetica 11.0.</para>
 -->
			 </listitem>
		  </varlistentry>
		  <varlistentry> <term><guilabel>Line numbers</guilabel>
			 </term> 
			 <listitem> 
				<para>Click on this button to select a font to use to print line numbers.</para>
				<!-- <para>Default: Helvetica 8.0.</para>
 -->
			 </listitem>
		  </varlistentry>
		</variablelist>
		<para>To reset the fonts to the default fonts for printing a file from <application>&app;</application>
		click on the <guibutton>Restore default fonts</guibutton> button.</para>
		</sect3>
		
	 </sect2>	 

	 <sect2 id="gedit-prefs-plugins">
	 <title>Plugins</title>
	 <para>For information about how to use the <guilabel>Plugins</guilabel> category 
	 of the <guilabel>Preferences</guilabel> dialog, see <xref linkend="gedit-install-plugins"/>. </para>		
	 </sect2>	 
	 
 </sect1>
</article>
